#include "pch.h"
#include "framework.h"
#include "omp.h"

_DLLAPI int __stdcall test_openmp(double* x, double* y, double* z, int row, int col) {
	int i = 0;
#pragma omp parallel for
	for (i = 0; i < row; i++) {
		int n = i * col;
		for (int j = 0; j < col; j++) {
			z[i] += x[n + j] * y[j];
		}
	}
	return(0);
}
